Templatecgicc::HTMLBooleanElement class Reference

Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members Related Pages

# cgicc::HTMLBooleanElement Class Template Reference

Template for concrete boolean HTMLElement subclasses. More...

`#include <cgicc/HTMLBooleanElement.h>`

Inheritance diagram for cgicc::HTMLBooleanElement::

List of all members.

## State Management
virtual void | swapState () const
| Swap the state of this boolean element. More...
virtual bool | getState () const
| Get the state of this boolean element. More...
void | reset ()
| Reset the state of this boolean element to closed. More...
## Public Methods
virtual HTMLElement * | clone () const
| Clone this element. More...
virtual const char * | getName () const
| Get the name of this element. For example, "strong". More...
Constructors and Destructor
| HTMLBooleanElement ()
| Create a new empty boolean element. More...
| HTMLBooleanElement (const std::string &text)
| Create a new element, specifying the enclosed text. More...
| HTMLBooleanElement (const HTMLAttributeList &attributes)
| Create a new element, specifying the HTMLAttribute objects. More...
| HTMLBooleanElement (const HTMLElement &embedded)
| Create a new element, specifying an embedded HTMLElement. More...
| HTMLBooleanElement (const std::string &text, const HTMLAttributeList &attributes)
| Create a new element, specifying the enclosed text and HTMLAttribute objects. More...
| HTMLBooleanElement (const HTMLAttributeList &attributes, const HTMLElement &embed)
| Create a new element, specifying the HTMLAttributes and embedded HTMLElement. More...
virtual | ~HTMLBooleanElement ()
| Destructor. More...

## Detailed Description

### template<class Tag>
class cgicc::HTMLBooleanElement< Tag >

Template for concrete boolean HTMLElement subclasses.

A boolean HTML element is an element having a boolean (open or closed) state. Most commonly used HTML tags are boolean elements:

     <a href="http://www.gnu.org">GNU Project</a>

The `a` element is boolean, since it is either open or closed. Boolean elements are often additive:

     <b>bold text<i>bold italic text</i></b>

Note than under the XHTML 1.0 standard, elements may not overlap; ie, in the example above, it would be illegal to close the `b` tag before the `i` tag.

See also:
  HTMLElement , HTMLAtomicElement

Definition at line 60 of file HTMLBooleanElement.h.

## Constructor & Destructor Documentation

template<class Tag>
cgicc::HTMLBooleanElement< Tag >::HTMLBooleanElement | ( |  | ) | `[inline]`

| Create a new empty boolean element. Definition at line 73 of file HTMLBooleanElement.h.

template<class Tag>
cgicc::HTMLBooleanElement< Tag >::HTMLBooleanElement | ( | const std::string & | text | ) | `[inline]`

  | Create a new element, specifying the enclosed text. Parameters:
  text | The text within the element.
Definition at line 81 of file HTMLBooleanElement.h.

template<class Tag>
cgicc::HTMLBooleanElement< Tag >::HTMLBooleanElement | ( | const HTMLAttributeList & | attributes | ) | `[inline]`

  | Create a new element, specifying the HTMLAttribute objects. Parameters:
  attributes | The HTMLAttributes contained within the element.
Definition at line 89 of file HTMLBooleanElement.h.

template<class Tag>
cgicc::HTMLBooleanElement< Tag >::HTMLBooleanElement | ( | const HTMLElement & | embedded | ) | `[inline]`

  | Create a new element, specifying an embedded HTMLElement. Parameters:
  embed | The HTMLElement embedded inside the element.
Definition at line 97 of file HTMLBooleanElement.h.

template<class Tag>
cgicc::HTMLBooleanElement< Tag >::HTMLBooleanElement | ( | const std::string & | text,
|  | const HTMLAttributeList & | attributes
| ) | `[inline]`

  | Create a new element, specifying the enclosed text and HTMLAttribute objects. Parameters:
  attributes | The HTMLAttributes contained within the element.
  text | The text within the element.
Definition at line 107 of file HTMLBooleanElement.h.

template<class Tag>
cgicc::HTMLBooleanElement< Tag >::HTMLBooleanElement | ( | const HTMLAttributeList & | attributes,
|  | const HTMLElement & | embed
| ) | `[inline]`

  | Create a new element, specifying the HTMLAttributes and embedded HTMLElement. Parameters:
  attributes | The HTMLAttributes contained within the element.
  embed | The HTMLElement embedded inside the element.
Definition at line 118 of file HTMLBooleanElement.h.

template<class Tag>
virtual cgicc::HTMLBooleanElement< Tag >::~HTMLBooleanElement | ( |  | ) | `[inline, virtual]`

| Destructor. Definition at line 127 of file HTMLBooleanElement.h.

## Member Function Documentation

template<class Tag>
virtual HTMLElement* cgicc::HTMLBooleanElement< Tag >::clone | ( |  | ) | const`[inline, virtual]`

| Clone this element. Returns: A newly-allocated copy of this element Reimplemented from cgicc::HTMLElement. Definition at line 138 of file HTMLBooleanElement.h.

template<class Tag>
virtual const char* cgicc::HTMLBooleanElement< Tag >::getName | ( |  | ) | const`[inline, virtual]`

| Get the name of this element. For example, "strong". Returns: The name of this element Reimplemented from cgicc::HTMLElement. Definition at line 148 of file HTMLBooleanElement.h.

template<class Tag>
virtual bool cgicc::HTMLBooleanElement< Tag >::getState | ( |  | ) | const`[inline, virtual]`

| Get the state of this boolean element. Returns: `true` if this element is open, `false` otherwise Reimplemented from cgicc::HTMLElement. Definition at line 170 of file HTMLBooleanElement.h.

template<class Tag>
void cgicc::HTMLBooleanElement< Tag >::reset | ( |  | ) | `[inline, static]`

| Reset the state of this boolean element to closed. Definition at line 178 of file HTMLBooleanElement.h.

template<class Tag>
virtual void cgicc::HTMLBooleanElement< Tag >::swapState | ( |  | ) | const`[inline, virtual]`

| Swap the state of this boolean element. A state of `true` indicates the element is currently open Reimplemented from cgicc::HTMLElement. Definition at line 162 of file HTMLBooleanElement.h.

The documentation for this class was generated from the following file:

- HTMLBooleanElement.h